/*step*/
.steps {
    margin: 60px 0;
}

.steps__title {
    font-family: var(--font-family);
    font-weight: 800;
    font-size: 36px;
    line-height: 1.2;
    color: var(--black);
}
.steps__title--single{
    text-align: center;
}
.steps__headers {
    display: grid;
    gap: 25px;
    margin-bottom: 40px;
}

.steps__description {
    font-family: var(--font-family);
    font-weight: 400;
    font-size: 16px;
    line-height: 1.2;
    color: var(--black);
}

.steps__list {
    display: grid;
    grid-template-columns: 1fr;
    gap: 20px;
    margin-top: 40px;
}

.steps__item {
    border: 1px solid var(--gray-dark);
    border-radius: 30px;
    padding: 30px;
    transition: box-shadow 0.3s;
}

.steps__item:hover {
    box-shadow: 0 4px 12px rgba(0, 0, 0, 0.1);
}

.steps__number {
    font-family: var(--font-family);
    font-weight: 400;
    font-size: 24px;
    line-height: 1.2;
    color: var(--gray-dark);
    margin-bottom: 12px;
}

.steps__subtitle {
    font-family: var(--font-family);
    font-weight: 700;
    font-size: 24px;
    line-height: 1.2;
    color: var(--black);
    margin-bottom: 12px;
}

.steps__text {
    font-family: var(--font-family);
    font-weight: 400;
    font-size: 16px;
    line-height: 1.2;
    color: var(--black);
}

@media (min-width: 768px) {
    .steps__list {
        grid-template-columns: repeat(2, 1fr);
    }
}


@media (min-width: 992px) {
    .steps {
        margin: 80px 0;
    }

    .steps__title {
        font-size: 40px;
    }

    .steps__headers {
        grid-template-columns: 1fr 1fr;
    }

    .steps__list {
        gap: 24px;
    }

    .steps__list--cols-2 {
        display: grid;
        grid-template-columns: repeat(2, 1fr);
    }

    .steps__list--cols-3 {
        display: grid;
        grid-template-columns: repeat(3, 1fr);
    }

    .steps__list--cols-4 {
        display: grid;
        grid-template-columns: repeat(4, 1fr);
    }

}